"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const bootstrap_1 = require("@ts-ioc/bootstrap");
const platform_browser_1 = require("@ts-ioc/platform-browser");
const core_1 = require("@ts-ioc/core");
let processRoot = !core_1.isUndefined(System) ? System.baseURL : '.';
/**
 * browser app.
 *
 * @export
 * @template T
 * @param {string} [baseURL]
 * @returns {IApplicationBuilderBrowser<T>}
 */
function browserApp(baseURL) {
    return new bootstrap_1.ApplicationBuilder(baseURL).use(BrowserBootstrapModule);
}
exports.browserApp = browserApp;
let BrowserBootstrapModule = class BrowserBootstrapModule {
    static getClassAnnations() {
        return { "name": "BrowserBootstrapModule", "params": {} };
    }
};
BrowserBootstrapModule = tslib_1.__decorate([
    bootstrap_1.DIModule({
        imports: [
            platform_browser_1.BrowserModule
        ],
        providers: [
            { provide: bootstrap_1.ProcessRunRootToken, useValue: processRoot }
        ],
        exports: []
    })
], BrowserBootstrapModule);
exports.BrowserBootstrapModule = BrowserBootstrapModule;

//# sourceMappingURL=sourcemaps/BootstrapModule.js.map
